Update Smart
curl --request PUT \
--url https://crm.universal.rollout.com/api/smart-lists/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Rollout-Credential-Id: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"isFub2": true,
"shared": true,
"userId": "<string>",
"conditions": [
[
{
"fld": "<string>",
"opr": "<string>",
"num": "<string>",
"unit": "<string>",
"val": [
"<string>"
]
}
]
],
"sortBy": "<string>",
"columns": [
{
"name": "<string>",
"enabled": true,
"width": 123
}
]
}
'import requests
url = "https://crm.universal.rollout.com/api/smart-lists/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"isFub2": True,
"shared": True,
"userId": "<string>",
"conditions": [[
{
"fld": "<string>",
"opr": "<string>",
"num": "<string>",
"unit": "<string>",
"val": ["<string>"]
}
]],
"sortBy": "<string>",
"columns": [
{
"name": "<string>",
"enabled": True,
"width": 123
}
]
}
headers = {
"Authorization": "Bearer <token>",
"X-Rollout-Credential-Id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'X-Rollout-Credential-Id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
description: '<string>',
isFub2: true,
shared: true,
userId: '<string>',
conditions: [
[
{
fld: '<string>',
opr: '<string>',
num: '<string>',
unit: '<string>',
val: ['<string>']
}
]
],
sortBy: '<string>',
columns: [{name: '<string>', enabled: true, width: 123}]
})
};
fetch('https://crm.universal.rollout.com/api/smart-lists/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"isFub2": true,
"shared": true,
"userId": "<string>",
"conditions": [
[
{
"fld": "<string>",
"opr": "<string>",
"num": "<string>",
"unit": "<string>",
"val": [
"<string>"
]
}
]
],
"sortBy": "<string>",
"columns": [
{
"name": "<string>",
"enabled": true,
"width": 123
}
],
"sharedWith": {
"userIds": [
"<string>"
],
"teamIds": [
"<string>"
]
},
"created": "<string>",
"updated": "<string>",
"rolloutUpdated": "<string>",
"originalIds": {},
"original": {}
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}Smart Lists
Update Smart
PUT /smart-lists/
PUT
/
smart-lists
/
{id}
Update Smart
PUT /smart-lists/{id}
Base URL: https://crm.universal.rollout.com/api
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | Yes |
Responses
| Status | Description |
|---|---|
200 | OK |
400 | Bad Request |
404 | Not Found |
409 | Conflict |
OpenAPI Source
/openapi/crm.json PUT /smart-lists/{id}Authorizations
Authorization JWT
The Rollout Credential ID to use for queries/mutations
Path Parameters
Body
application/jsonmultipart/form-datatext/plain
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I